# Microsoft.Samples.DirectX.UtilityToolkit.EnumDeviceSettingsCombo Class Reference

Class describing device settings that contain a unique combination of adapter format, back buffer format, and windowed that is compatible with a particular Direct3D device and the application. More...

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.EnumDeviceSettingsCombo:

[legend]

List of all members.

## Public Attributes
uint | AdapterOrdinal
DeviceType | DeviceType
Format | AdapterFormat
Format | BackBufferFormat
bool | IsWindowed
ArrayList | depthStencilFormatList = new ArrayList()
ArrayList | multiSampleTypeList = new ArrayList()
ArrayList | multiSampleQualityList = new ArrayList()
ArrayList | presentIntervalList = new ArrayList()
ArrayList | depthStencilConflictList = new ArrayList()
EnumAdapterInformation | adapterInformation = null
EnumDeviceInformation | deviceInformation = null
List< DepthFormat > | depthStencilFormatList = new List<DepthFormat>()
List< MultiSampleType > | multiSampleTypeList = new List<MultiSampleType>()
List< int > | multiSampleQualityList = new List<int>()
List< PresentInterval > | presentIntervalList = new List<PresentInterval>()
List < EnumDepthStencilMultisampleConflict > | depthStencilConflictList = new List<EnumDepthStencilMultisampleConflict>()

## Detailed Description

Class describing device settings that contain a unique combination of adapter format, back buffer format, and windowed that is compatible with a particular Direct3D device and the application.

Definition at line 682 of file dxmutenum.cs.

## Member Data Documentation

Format Microsoft::Samples::DirectX::UtilityToolkit.EnumDeviceSettingsCombo::AdapterFormat

Definition at line 686 of file dxmutenum.cs.

EnumAdapterInformation Microsoft::Samples::DirectX::UtilityToolkit.EnumDeviceSettingsCombo::adapterInformation = null

Definition at line 697 of file dxmutenum.cs.

uint Microsoft::Samples::DirectX::UtilityToolkit.EnumDeviceSettingsCombo::AdapterOrdinal

Definition at line 684 of file dxmutenum.cs.

Format Microsoft::Samples::DirectX::UtilityToolkit.EnumDeviceSettingsCombo::BackBufferFormat

Definition at line 687 of file dxmutenum.cs.

List<EnumDepthStencilMultisampleConflict> Microsoft.Samples.DirectX.UtilityToolkit.EnumDeviceSettingsCombo.depthStencilConflictList = new List<EnumDepthStencilMultisampleConflict>()

Definition at line 696 of file wdxmutenum.cs.

ArrayList Microsoft::Samples::DirectX::UtilityToolkit.EnumDeviceSettingsCombo::depthStencilConflictList = new ArrayList()

Definition at line 695 of file dxmutenum.cs.

List<DepthFormat> Microsoft.Samples.DirectX.UtilityToolkit.EnumDeviceSettingsCombo.depthStencilFormatList = new List<DepthFormat>()

Definition at line 692 of file wdxmutenum.cs.

ArrayList Microsoft::Samples::DirectX::UtilityToolkit.EnumDeviceSettingsCombo::depthStencilFormatList = new ArrayList()

Definition at line 691 of file dxmutenum.cs.

EnumDeviceInformation Microsoft::Samples::DirectX::UtilityToolkit.EnumDeviceSettingsCombo::deviceInformation = null

Definition at line 698 of file dxmutenum.cs.

DeviceType Microsoft::Samples::DirectX::UtilityToolkit.EnumDeviceSettingsCombo::DeviceType

Definition at line 685 of file dxmutenum.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.EnumDeviceSettingsCombo::IsWindowed

Definition at line 688 of file dxmutenum.cs.

List<int> Microsoft.Samples.DirectX.UtilityToolkit.EnumDeviceSettingsCombo.multiSampleQualityList = new List<int>()

Definition at line 694 of file wdxmutenum.cs.

ArrayList Microsoft::Samples::DirectX::UtilityToolkit.EnumDeviceSettingsCombo::multiSampleQualityList = new ArrayList()

Definition at line 693 of file dxmutenum.cs.

List<MultiSampleType> Microsoft.Samples.DirectX.UtilityToolkit.EnumDeviceSettingsCombo.multiSampleTypeList = new List<MultiSampleType>()

Definition at line 693 of file wdxmutenum.cs.

ArrayList Microsoft::Samples::DirectX::UtilityToolkit.EnumDeviceSettingsCombo::multiSampleTypeList = new ArrayList()

Definition at line 692 of file dxmutenum.cs.

List<PresentInterval> Microsoft.Samples.DirectX.UtilityToolkit.EnumDeviceSettingsCombo.presentIntervalList = new List<PresentInterval>()

Definition at line 695 of file wdxmutenum.cs.

ArrayList Microsoft::Samples::DirectX::UtilityToolkit.EnumDeviceSettingsCombo::presentIntervalList = new ArrayList()

Definition at line 694 of file dxmutenum.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutenum.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutenum.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutenum.cs